Bug 8225 - Не запускается
: Не запускается
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/qiv)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 8354
:
  Show dependency tree
 
Reported: 2005-10-15 13:09 by
Modified: 2007-09-20 02:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-15 13:09:59
$ rpm -q qiv 
qiv-2.0-alt2 
 
$ qiv znamen-test.png 
Gdk-ERROR **: BadMatch (invalid parameter attributes) 
  serial 116 error_code 8 request_code 2 minor_code 0 
 
$ rpm -q xorg-x11 
xorg-x11-6.8.99.900-alt7
------- Comment #1 From 2005-10-19 11:05:41 -------
В xorg depth какая? И выложи этот png куда-нибудь, если оно только на нем
обламывается а не на всем подряд.
------- Comment #2 From 2005-10-19 11:10:46 -------
blah
------- Comment #3 From 2005-10-24 13:58:56 -------
На всех обламывается. И на jpg тоже. 
------- Comment #4 From 2005-10-24 14:01:41 -------
А можно не издеваться и отвечать на вопросы? А то я ведь закрою баг нафик как
INVALID.
------- Comment #5 From 2005-10-24 20:55:29 -------
 (In reply to comment #4) 
> А можно не издеваться и отвечать на вопросы? А то я ведь закрою баг нафик 
как 
> INVALID. 
1. Извините, забыл: 
$ grep ColorD /etc/X11/xorg.conf  
    DefaultColorDepth 24 
2. Ничего страшного, я открою заново :) 
 
 
 
------- Comment #6 From 2005-10-25 12:16:40 -------
Я так и не смог найти, где это можно было бы воспроизвести. Шелл не дашь на эту
машину?
------- Comment #7 From 2005-10-27 14:28:42 -------
<drF_ckoff> короче это багофича в gtk 1.x, проявляющаяся при включенном 
composite. "лечится" путем установки  переменной окружения 
XLIB_SKIP_ARGB_VISUALS в 1 
------- Comment #8 From 2007-06-05 18:18:30 -------
Авторы в курсе. Workaround включён в 2.1-pre12.
------- Comment #9 From 2007-06-08 00:12:54 -------
В qiv-2.1pre11-alt1 workaround, кажется, не работает. Падает с тем же
сообщением. При установке переменной - работает.
------- Comment #10 From 2007-06-21 18:13:06 -------
(In reply to comment #9)
> В qiv-2.1pre11-alt1 workaround, кажется, не работает. Падает с тем же
> сообщением. При установке переменной - работает.

Fixed in 2.1pre12. Ушло в Сизиф. Потестите и если что - закрывайте багу.